org.eclipse.ui.editors.text

## Class EditorsUI

- java.lang.Object
- - org.eclipse.ui.editors.text.EditorsUI

    public final class EditorsUI
    extends Object

The central class for access to this plug-in. This class cannot be instantiated; all functionality is provided by static methods.

Since:
  3.0
Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

Fields
`static int` `CHARSET_MAPPING_FAILED` Editor UI plug-in status code indicating that an operation failed because a character could not be mapped using the given charset.
`static String` `DEFAULT_TEXT_EDITOR_ID` The ID of the default text editor.
`static int` `DERIVED_FILE` Editor UI plug-in status code indicating that a resource is marked derived.
`static String` `PLUGIN_ID` TextEditor Plug-in ID (value `"org.eclipse.ui.editors"`).
`static int` `STATE_VALIDATION_FAILED` Editor UI plug-in status code indicating that state validation failed.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static AnnotationPreferenceLookup` `getAnnotationPreferenceLookup()` Returns the annotation preference lookup of this plug-in.
`static AnnotationTypeLookup` `getAnnotationTypeLookup()` Returns the annotation type lookup of this plug-in.
`static HyperlinkDetectorRegistry` `getHyperlinkDetectorRegistry()` Returns the registry that contains the hyperlink detectors contributed by the `org.eclipse.ui.workbench.texteditor.hyperlinkDetectors` extension point.
`static Preferences` `getPluginPreferences()` Deprecated. As of 3.5, replaced by `getPreferenceStore()`
`static IPreferenceStore` `getPreferenceStore()` Returns the preference store of this plug-in.
`static ISharedTextColors` `getSharedTextColors()` Returns the shared text colors of this plug-in.
`static SpellingService` `getSpellingService()` Returns the spelling service.
`static String` `getTooltipAffordanceString()` Returns the tool tip affordance string.
`static void` `useAnnotationsPreferencePage(IPreferenceStore store)` Removes all preference which are handled by this plug-in's general preference pages from the given store and prevents setting the default values in the future.
`static void` `useQuickDiffPreferencePage(IPreferenceStore store)` Removes all preference which are handled by this plug-in's Quick Diff preference page from the given store and prevents setting the default values in the future.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final String PLUGIN_ID

TextEditor Plug-in ID (value `"org.eclipse.ui.editors"`).

See Also:
  Constant Field Values

#### DEFAULT_TEXT_EDITOR_ID

    public static final String DEFAULT_TEXT_EDITOR_ID

The ID of the default text editor.

See Also:
  Constant Field Values

#### CHARSET_MAPPING_FAILED

    public static final int CHARSET_MAPPING_FAILED

Editor UI plug-in status code indicating that an operation failed because a character could not be mapped using the given charset.

Value: 1

Since:
  3.2
See Also:
  `UnmappableCharacterException`, Constant Field Values

#### STATE_VALIDATION_FAILED

    public static final int STATE_VALIDATION_FAILED

Editor UI plug-in status code indicating that state validation failed.

Value: 4

Since:
  3.3
See Also:
  `IFileBuffer.validateState(org.eclipse.core.runtime.IProgressMonitor, Object)`, Constant Field Values

#### DERIVED_FILE

    public static final int DERIVED_FILE

Editor UI plug-in status code indicating that a resource is marked derived.

Value: 5

Since:
  3.3
See Also:
  `IResource.isDerived()`, Constant Field Values

### Method Detail

#### getAnnotationTypeLookup

    public static AnnotationTypeLookup getAnnotationTypeLookup()

Returns the annotation type lookup of this plug-in.

Returns:
  the annotation type lookup

#### getAnnotationPreferenceLookup

    public static AnnotationPreferenceLookup getAnnotationPreferenceLookup()

Returns the annotation preference lookup of this plug-in.

Returns:
  the annotation preference lookup

#### getPreferenceStore

    public static IPreferenceStore getPreferenceStore()

Returns the preference store of this plug-in.

Returns:
  this plug-in's preference store

#### useAnnotationsPreferencePage

    public static void useAnnotationsPreferencePage(IPreferenceStore store)

Removes all preference which are handled by this plug-in's general preference pages from the given store and prevents setting the default values in the future.

To access the general preference from another plug-in use a `ChainedPreferenceStore`:

                    List stores= new ArrayList(3);
                    stores.add(YourPlugin.getDefault().getPreferenceStore());
                    stores.add(EditorsUI.getPreferenceStore());
                    combinedStore= new ChainedPreferenceStore((IPreferenceStore[]) stores.toArray(new IPreferenceStore[stores.size()]));

Note: In order to work this method must be called before the store's default values are set.

Parameters:
  `store` - the preference store to mark

#### useQuickDiffPreferencePage

    public static void useQuickDiffPreferencePage(IPreferenceStore store)

Removes all preference which are handled by this plug-in's Quick Diff preference page from the given store and prevents setting the default values in the future.

To access the general preference from another plug-in use a `ChainedPreferenceStore`:

                    List stores= new ArrayList(3);
                    stores.add(YourPlugin.getDefault().getPreferenceStore());
                    stores.add(EditorsUI.getPreferenceStore());
                    combinedStore= new ChainedPreferenceStore((IPreferenceStore[]) stores.toArray(new IPreferenceStore[stores.size()]));

Note: In order to work this method must be called before the store's default values are set.

Parameters:
  `store` - the preference store to mark

#### getPluginPreferences

    @Deprecated
    public static Preferences getPluginPreferences()

Deprecated. As of 3.5, replaced by `getPreferenceStore()`
Returns the preferences of this plug-in.

Returns:
  the plug-in preferences
See Also:
  `Plugin.getPluginPreferences()`

#### getSpellingService

    public static SpellingService getSpellingService()

Returns the spelling service.

Returns:
  the spelling service
Since:
  3.1

#### getSharedTextColors

    public static ISharedTextColors getSharedTextColors()

Returns the shared text colors of this plug-in.

Returns:
  the shared text colors
Since:
  3.3

#### getHyperlinkDetectorRegistry

    public static HyperlinkDetectorRegistry getHyperlinkDetectorRegistry()

Returns the registry that contains the hyperlink detectors contributed by the `org.eclipse.ui.workbench.texteditor.hyperlinkDetectors` extension point.

Returns:
  the hyperlink detector registry
Since:
  3.3

#### getTooltipAffordanceString

    public static final String getTooltipAffordanceString()

Returns the tool tip affordance string.

Returns:
  the affordance string which is empty if the preference is enabled but the key binding not active or `null` if the preference is disabled or the binding service is unavailable
Since:
  3.3